# stories

Create stories/specs for all components declared in a library

## Usage

```bash
nx generate stories ...
```

By default, Nx will search for `stories` in the default collection provisioned in `angular.json`.

You can specify the collection explicitly as follows:

```bash
nx g @nrwl/angular:stories ...
```

Show what will be generated without writing to disk:

```bash
nx g stories ... --dry-run
```

## Options

### cypressProject

Type: `string`

The Cypress project to generate the stories under. This is inferred from 'name' by default

### generateCypressSpecs

Default: `true`

Type: `boolean`

Automatically generate \*.spec.ts files in the cypress e2e app generated by the cypress-configure generator

### name

Type: `string`

Library or application name
